## software-properties 0.76.7.1

=== debian/changelog ===
software-properties (0.76.7.1) maverick-security; urgency=low

  * SECURITY UPDATE: incorrect ssl certificate validation (LP: #915210)
    - softwareproperties/ppa.py: use pycurl to download the signing key
      fingerprint.
    - debian/control: add python-pycurl dependency.
    - CVE-2011-4407

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 26 Jan 2012 11:18:52 -0500

=== debian/control ===
Source: software-properties
Section: admin
Priority: optional
XS-Python-Version: >= 2.4
Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
Build-Depends: debhelper (>= 5.0.37.2), python-central (>= 0.5), libxml-parser-perl, scrollkeeper, intltool, python-all, python-distutils-extra (>= 1.90), cdbs
Standards-Version: 3.9.1
Vcs-Bzr: http://code.launchpad.net/~ubuntu-core-dev/software-properties/main

Package: python-software-properties
Section: python
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends}, ${misc:Depends}, python, python-apt (>= 0.6.20ubuntu16), lsb-release,  python-gnupginterface, unattended-upgrades, iso-codes, python-pycurl
Description: manage the repositories that you install software from
 This software provides an abstraction of the used apt repositories.
 It allows you to easily manage your distribution and independent software
 vendor software sources.

Package: software-properties-gtk
Architecture: all
Replaces: update-manager (<< 0.55)
Conflicts: update-manager (<< 0.55)
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends}, ${misc:Depends}, python, synaptic (>= 0.57.8), gksu, python-software-properties, python-gtk2
Description: manage the repositories that you install software from
 This software provides an abstraction of the used apt repositories.
 It allows you to easily manage your distribution and independent software
 vendor software sources.
 .
 This package contains a GTK+ based graphical interface.

Package: software-properties-kde
Architecture: all
Section: kde
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends}, ${misc:Depends}, python, python-qt4, python-kde4,
 python-software-properties, qapt-batch
Description: manage the repositories that you install software from
 This software provides an abstraction of the used apt repositories.
 It allows you to easily manage your distribution and independent software
 vendor software sources.
 .
 This package contains a Qt/KDE based graphical interface.

## software-properties 0.80.6debian1

=== debian/changelog ===
software-properties (0.80.6debian1) experimental; urgency=low

  * Rebase Debian package against Ubuntu one.
  * python-apt 0.8 conform (Closes: #572350)
  * softwareproperties/gtk/CdromProgress.py:
    - Fix python-apt 0.8 progress->progress.base incompatibility
  * Move to debhelper 7 and dh_python2

 -- Julian Andres Klode <jak@debian.org>  Wed, 06 Apr 2011 15:44:14 +0200

software-properties (0.80.6) natty; urgency=low

  * software-properties-gtk: Fix crash on invalid locale. (LP: #730643)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 05 Apr 2011 15:07:42 +0200

software-properties (0.80.5) natty; urgency=low

  * softwareproperties/gtk/DialogAddSourcesList.py: Drop leftover pygtk
    import.
  * software-properties-gtk: Fix --enable-ppa to work again.
  * softwareproperties/gtk/DialogAddSourcesList.py: Fix WMFunction Gdk
    constant. (LP: #736393)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 22 Mar 2011 16:58:23 +0100

software-properties (0.80.4) natty; urgency=low

  * software-properties-gtk: Update require_version() call to current
    pygobject API. Bump python-gobject dependency accordingly.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 03 Mar 2011 17:25:28 +0100

software-properties (0.80.3) natty; urgency=low

  * softwareproperties/gtk/DialogAdd.py: Fix UnicodeDecodeError in "Add
    source" dialog. (LP: #721778)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 02 Mar 2011 13:13:46 +0100

software-properties (0.80.2) natty; urgency=low

  * softwareproperties/gtk/SoftwarePropertiesGtk.py: Gdk.window_foreign_new()
    is currently not introspectable (and went away entirely in Gtk 3), so
    don't crash if it is not available. (LP: #718811)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 15 Feb 2011 09:26:12 +0100

software-properties (0.80.1) natty; urgency=low

  * fix typo in changelog

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 14 Feb 2011 14:38:31 +0100

software-properties (0.80) natty; urgency=low

  * software-properties-gtk, ./softwareproperties/gtk/*: Port from pygtk to
    gobject-introspection. This works with both GTK 2 and 3, but in GTK2 we
    have to disable the drag&drop functionality (as current GTK2 does not have
    a gtk_target_entry_new() and thus you can't construct those).
  * softwareproperties/gtk/SoftwarePropertiesGtk.py: When doing string
    interpolation with translated text and unicode objects, encode the latter
    into UTF-8 first. pygtk did that for us using some black magic (by calling
    PyUnicode_SetDefaultEncoding()).
  * software-properties-gtk: Force using GTK 2 for now, as in Natty we don't
    currently ship GTK 3 on the default installation (we don't have a theme
    yet).
  * debian/control: Update dependencies for the pygtk → pygi switch.
  * software-properties-gtk, softwareproperties/gtk/DialogMirror.py: Drop
    calls to Gdk.threads_*(). They were insufficient and causing lockups, and
    since multi-threaded Gtk is a pain to get right, we'll rather change the
    code structure to only use Gtk from the main thread.
  * softwareproperties/gtk/DialogMirror.py: Run GTK operations in main thread,
    to avoid thread lockups.
  * softwareproperties/MirrorTest.py: Move additional MirrorTestGtk
    functionality (setting threading.Event flag and storing current
    action/progress into main MirrorTest class, so that we can entirely drop
    MirrorTestGtk from softwareproperties/gtk/DialogMirror.py. KDE still uses
    its own implementation with real threads, as this is still easier to do.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 14 Feb 2011 14:23:12 +0100

software-properties (0.78.1) natty; urgency=low

  * use port 80 by default when getting gpg keys for PPAs
    (LP: #615788)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 13 Dec 2010 09:37:56 +0100

software-properties (0.78) natty; urgency=low

  * add support for simplified syntax LP: #686348

 -- Carl Karsten <carl@personnelware.com>  Tue, 07 Dec 2010 01:46:28 -0600

software-properties (0.77) natty; urgency=low

  * po/pt_BR.po:
    - updated translations, thanks to Sergio Cipolla
      (closes: #593693)
  * merged lp:~kelemeng/software-properties/bug657835, many 
    thanks to Gabor Kelemen (LP: #657835)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 03 Nov 2010 10:07:32 +0100

=== debian/control ===
Source: software-properties
Section: admin
Priority: optional
Maintainer: Julian Andres Klode <jak@debian.org>
Build-Depends: debhelper (>= 7),
               libxml-parser-perl,
               scrollkeeper,
               intltool,
               python-all (>= 2.6.6-3~),
               python-distutils-extra (>= 1.90)
Standards-Version: 3.9.1
Vcs-Bzr: http://code.launchpad.net/~juliank/software-properties/debian

Package: python-software-properties
Section: python
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python, python-apt (>= 0.6.20ubuntu16), lsb-release,  python-gnupginterface, unattended-upgrades, iso-codes
Description: manage the repositories that you install software from
 This software provides an abstraction of the used apt repositories.
 It allows you to easily manage your distribution and independent software
 vendor software sources.

Package: software-properties-gtk
Architecture: all
Replaces: update-manager (<< 0.55)
Conflicts: update-manager (<< 0.55)
Depends: ${python:Depends}, ${misc:Depends}, python, synaptic (>= 0.57.8), gksu, python-software-properties, python-gobject (>= 2.27.91), gir1.2-gtk-2.0 (>= 2.23.90-0ubuntu3)
Description: manage the repositories that you install software from
 This software provides an abstraction of the used apt repositories.
 It allows you to easily manage your distribution and independent software
 vendor software sources.
 .
 This package contains a GTK+ based graphical interface.

Package: software-properties-kde
Architecture: all
Section: kde
Depends: ${python:Depends}, ${misc:Depends}, python, python-qt4, python-kde4,
 python-software-properties, qapt-batch
Description: manage the repositories that you install software from
 This software provides an abstraction of the used apt repositories.
 It allows you to easily manage your distribution and independent software
 vendor software sources.
 .
 This package contains a Qt/KDE based graphical interface.

## software-properties 0.80.9

=== debian/changelog ===
software-properties (0.80.9) natty; urgency=low

  * In "Updates" tab (qt and gtk), ignore all deb-src templates.
    (LP: #768363, LP: #768469)

 -- Stéphane Graber <stgraber@ubuntu.com>  Sun, 24 Apr 2011 13:37:52 -0400

software-properties (0.80.8) natty; urgency=low

  * data/designer/main.ui make strings match GTK UI file LP: #760825

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 14 Apr 2011 16:56:22 +0100

software-properties (0.80.7) natty; urgency=low

  * softwareproperties/gtk/SoftwarePropertiesGtk.py: Fix wrong Gtk.MenuItem
    construction. (LP: #753570)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 08 Apr 2011 18:23:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,16 @@
 Source: software-properties
 Section: admin
 Priority: optional
-Maintainer: Julian Andres Klode <jak@debian.org>
-Build-Depends: debhelper (>= 7),
-               libxml-parser-perl,
-               scrollkeeper,
-               intltool,
-               python-all (>= 2.6.6-3~),
-               python-distutils-extra (>= 1.90)
+XS-Python-Version: >= 2.4
+Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
+Build-Depends: debhelper (>= 5.0.37.2), python-central (>= 0.5), libxml-parser-perl, scrollkeeper, intltool, python-all, python-distutils-extra (>= 1.90), cdbs
 Standards-Version: 3.9.1
-Vcs-Bzr: http://code.launchpad.net/~juliank/software-properties/debian
+Vcs-Bzr: http://code.launchpad.net/~ubuntu-core-dev/software-properties/main
 
 Package: python-software-properties
 Section: python
 Architecture: all
+XB-Python-Version: ${python:Versions}
 Depends: ${python:Depends}, ${misc:Depends}, python, python-apt (>= 0.6.20ubuntu16), lsb-release,  python-gnupginterface, unattended-upgrades, iso-codes
 Description: manage the repositories that you install software from
  This software provides an abstraction of the used apt repositories.
@@ -24,6 +21,7 @@
 Architecture: all
 Replaces: update-manager (<< 0.55)
 Conflicts: update-manager (<< 0.55)
+XB-Python-Version: ${python:Versions}
 Depends: ${python:Depends}, ${misc:Depends}, python, synaptic (>= 0.57.8), gksu, python-software-properties, python-gobject (>= 2.27.91), gir1.2-gtk-2.0 (>= 2.23.90-0ubuntu3)
 Description: manage the repositories that you install software from
  This software provides an abstraction of the used apt repositories.
@@ -35,6 +33,7 @@
 Package: software-properties-kde
 Architecture: all
 Section: kde
+XB-Python-Version: ${python:Versions}
 Depends: ${python:Depends}, ${misc:Depends}, python, python-qt4, python-kde4,
  python-software-properties, qapt-batch
 Description: manage the repositories that you install software from

## software-properties 0.80.9+5.0trisquel1

=== debian/changelog ===
software-properties (0.80.9+5.0trisquel1) dagda; urgency=low

  * Adapted for Trisquel codenames

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 17 Jul 2011 22:23:05 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 XS-Python-Version: >= 2.4
-Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Build-Depends: debhelper (>= 5.0.37.2), python-central (>= 0.5), libxml-parser-perl, scrollkeeper, intltool, python-all, python-distutils-extra (>= 1.90), cdbs
 Standards-Version: 3.9.1
 Vcs-Bzr: http://code.launchpad.net/~ubuntu-core-dev/software-properties/main

## software-properties 0.80.9.2

=== debian/changelog ===
software-properties (0.80.9.2) natty-security; urgency=low

  * SECURITY UPDATE: improve gpg key validation to prevent MITM attack
    (LP: #1016643)
    - softwareproperties/ppa.py: download gpg key to temporary keyring, and
      validate using v4 fingerprint before importing to apt keyring.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 28 Sep 2012 09:25:17 -0400

software-properties (0.80.9.1) natty-security; urgency=low

  * SECURITY UPDATE: incorrect ssl certificate validation (LP: #915210)
    - softwareproperties/ppa.py: use pycurl to download the signing key
      fingerprint.
    - debian/control: add python-pycurl dependency.
    - CVE-2011-4407

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 26 Jan 2012 10:59:59 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 XS-Python-Version: >= 2.4
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
 Build-Depends: debhelper (>= 5.0.37.2), python-central (>= 0.5), libxml-parser-perl, scrollkeeper, intltool, python-all, python-distutils-extra (>= 1.90), cdbs
 Standards-Version: 3.9.1
 Vcs-Bzr: http://code.launchpad.net/~ubuntu-core-dev/software-properties/main
@@ -11,7 +11,7 @@
 Section: python
 Architecture: all
 XB-Python-Version: ${python:Versions}
-Depends: ${python:Depends}, ${misc:Depends}, python, python-apt (>= 0.6.20ubuntu16), lsb-release,  python-gnupginterface, unattended-upgrades, iso-codes
+Depends: ${python:Depends}, ${misc:Depends}, python, python-apt (>= 0.6.20ubuntu16), lsb-release,  python-gnupginterface, unattended-upgrades, iso-codes, python-pycurl
 Description: manage the repositories that you install software from
  This software provides an abstraction of the used apt repositories.
  It allows you to easily manage your distribution and independent software

## software-properties 0.81.10

=== debian/changelog ===
software-properties (0.81.10) oneiric; urgency=low

  * softwareproperties/dbus/SoftwarePropertiesDBus.py, tests/test_dbus.py:
    - fix crash when there are unicode comments in the sources.list 
      file (LP: #820028). Dbus always sends us a dbus.String which is
      type unicode, but python-apt expects utf8 encoded str

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 10 Oct 2011 10:55:45 +0200

software-properties (0.81.9) oneiric; urgency=low

  * lp:~gandelman-a/software-properties/lp829109 :
    - add "-y" to add-apt-repository (LP: #829109). This can be
      used to avoid the confirmation prompt. Alternatively you
      can redirect stdin to /dev/null for skipping of the confirmation

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 19 Aug 2011 09:11:58 +0200

software-properties (0.81.8) oneiric; urgency=low

  * Move from static gobject to GI GObject module, to be compatible to
    upcoming pygobject 3.0.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 17 Aug 2011 07:19:02 +0200

software-properties (0.81.7) oneiric; urgency=low

  * softwareproperties/ppa.py:
    - fix incorrect call call to apt-key for the fingerprint, thanks
      to Martin Pitt for the report

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 17 Aug 2011 07:13:46 +0200

software-properties (0.81.6) oneiric; urgency=low

  [ Michael Vogt ]
  * softwareproperties/ppa.py:
    - show PPA description and confirm before adding 
      (security-o-catch-all spec)

  [ Martin Pitt ]
  * softwareproperties/gtk/SoftwarePropertiesGtk.py: Fix encoding error,
    thanks to sokolov-m-v for the patch! (LP: #815480)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 15 Aug 2011 10:25:51 +0200

software-properties (0.81.5) oneiric; urgency=low

  * softwareproperties/gtk/DialogMirror.py:
    - sort automatic mirror on top of the mirror list
  * debian/control:
    - remove old conflicts/replaces

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 11 Aug 2011 15:55:52 +0200

software-properties (0.81.4) oneiric; urgency=low

  * softwareproperties/AptAuth.py:
    - move trustdb into tmpdir as gnupg insists in creating it
  * softwareproperties/gtk/SoftwarePropertiesGtk.py:
    - use policykit for changing the update interval (LP: #816061)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 26 Jul 2011 09:13:23 +0200

software-properties (0.81.3) oneiric; urgency=low

  * softwareproperties/gtk/SimpleGtkbuilderApp.py:
    - remove unneeded debug output for gobjects without a get_name()
      function
  * softwareproperties/gtk/SoftwarePropertiesGtk.py:
    - do not crash if update-notifier is not installed (LP: #815016)
  * softwareproperties/AptAuth.py:
    - do not access ~/.gnupg from AptAuth() (LP: #815034)
  * softwareproperties/SoftwareProperties.py:
    - add CDROM add support into the dbus backend (LP: #815860)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 25 Jul 2011 18:15:30 +0200

software-properties (0.81.2) oneiric; urgency=low

  * fix crash when clicking on "updates" tab child sources,
    thanks to Sebastien Bacher

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 22 Jul 2011 22:15:05 +0200

software-properties (0.81.1) oneiric; urgency=low

  * data/software-properties-gtk.desktop.in:
    - don't use gksu 
  * debian/control:
    - remove the gksu dependency and add software-properties-common
      instead
  * debian/software-properties-common.install:
    - fix missing dbus include (thanks to seb128)
  * data/com.ubuntu.SoftwareProperties.service:
    - fix service path (thanks to seb128)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 22 Jul 2011 21:39:04 +0200

software-properties (0.81) oneiric; urgency=low

  [ Mohamed Amine IL Idrissi ]
  * Redesigned the Updates tab according to
    https://wiki.ubuntu.com/SoftwareUpdateHandling#settings (LP:
    #351484, #357676, #253412)

  [ Michael Vogt ]
  * add dbus/polkit backend, based on 
    lp:~kubuntu-packagers/software-properties/dbusworker
  * use new dbus backend
  * automatically run tests at bzr-buildpackage time

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 22 Jul 2011 19:11:26 +0200

software-properties (0.80.14) oneiric; urgency=low

  * data/gtkbuilder/dialog-mirror.ui: string fix regarding testing

 -- Brian Murray <brian@ubuntu.com>  Wed, 20 Jul 2011 15:01:23 -0700

software-properties (0.80.13) oneiric; urgency=low

  * merge control center fix from Rodrigo Moya, many thanks!
    (lp:~rodrigo-moya/software-properties/fix-787694) LP: #787694

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 11 Jul 2011 11:34:51 +0200

software-properties (0.80.12) oneiric; urgency=low

  * softwareproperties/gtk/DialogCacheOutdated.py: Stop calling synaptics, use
    aptdaemon instead.
  * debian/control: Drop synaptics dependency, add
    python-aptdaemon.gtk3widgets.
  * data/gtkbuilder/*.ui: Drop deprecated has_separator properites.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 22 Jun 2011 17:03:11 +0200

software-properties (0.80.11) oneiric; urgency=low

  [ Martin Pitt ]
  * debian/rules: Drop deprecated simple-patchsys. This is a native package
    anyway, we don't need a patch system.
  
  [ Michael Vogt ]
  * move from python-central to dh_python2
  * move from cdbs to dh7

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 10 Jun 2011 11:29:51 +0200

software-properties (0.80.10) oneiric; urgency=low

  [ Michael Vogt ]
  * merged lp:~hodgestar/software-properties/configurable-key-server,
    many thanks

  [ Martin Pitt ]
  * software-properties-gtk: Stop forcing GTK 2, we want to use GTK 3 now.
    Update gir dependency accordingly.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 18 May 2011 09:59:32 +0200

=== debian/control ===
Source: software-properties
Section: admin
Priority: optional
Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
Build-Depends: debhelper (>= 7),
               libxml-parser-perl, 
               scrollkeeper, 
               intltool, 
               python-all (>= 2.6.6-3~),
               python-distutils-extra (>= 1.90)
Standards-Version: 3.9.1
X-Python-Version: >= 2.4
Vcs-Bzr: http://code.launchpad.net/~ubuntu-core-dev/software-properties/main

Package: python-software-properties
Section: python
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python, python-apt (>=
 0.6.20ubuntu16), lsb-release, python-gnupginterface,
 unattended-upgrades, iso-codes
Description: manage the repositories that you install software from
 This software provides an abstraction of the used apt repositories.
 It allows you to easily manage your distribution and independent software
 vendor software sources.

Package: software-properties-common
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python,
 python-gobject (>= 2.28), python-dbus
Description: manage the repositories that you install software from (common)
 This software provides an abstraction of the used apt repositories.
 It allows you to easily manage your distribution and independent software
 vendor software sources.
 .
 This package contains the common files for software-properties like the
 dbus backend.

Package: software-properties-gtk
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python,
 python-software-properties, 
 python-gobject (>= 2.28),
 gir1.2-gtk-3.0,
 python-aptdaemon.gtk3widgets,
 software-properties-common
Description: manage the repositories that you install software from (gtk)
 This software provides an abstraction of the used apt repositories.
 It allows you to easily manage your distribution and independent software
 vendor software sources.
 .
 This package contains a GTK+ based graphical interface.

Package: software-properties-kde
Architecture: all
Section: kde
Depends: ${python:Depends}, ${misc:Depends}, python, python-qt4,
 python-kde4, python-software-properties, qapt-batch
Description: manage the repositories that you install software from (kde)
 This software provides an abstraction of the used apt repositories.
 It allows you to easily manage your distribution and independent software
 vendor software sources.
 .
 This package contains a Qt/KDE based graphical interface.

## software-properties 0.81.13.5

=== debian/changelog ===
software-properties (0.81.13.5) oneiric-security; urgency=low

  * SECURITY UPDATE: improve gpg key validation to prevent MITM attack
    (LP: #1016643)
    - softwareproperties/ppa.py: download gpg key to temporary keyring, and
      validate using v4 fingerprint before importing to apt keyring.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 28 Sep 2012 09:24:18 -0400

software-properties (0.81.13.4) oneiric-proposed; urgency=low

  * manually shift the policy index to work around wrong upgrade policy being
    set. (LP: #944876)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 25 Apr 2012 20:55:20 +0100

software-properties (0.81.13.3) oneiric-security; urgency=low

  * SECURITY UPDATE: incorrect ssl certificate validation (LP: #915210)
    - softwareproperties/ppa.py: use pycurl to download the signing key
      fingerprint.
    - tests/test_lp.py: add test.
    - debian/control: add python-pycurl dependency.
    - CVE-2011-4407

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 26 Jan 2012 10:51:26 -0500

software-properties (0.81.13.2) oneiric-proposed; urgency=low

  * add-apt-repository:
    - honor FORCE_ADD_APT_REPOSITORY (LP: #890708)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 30 Nov 2011 09:46:12 +0100

software-properties (0.81.13.1) oneiric-proposed; urgency=low

  [ Michael Vogt ]
  * debian/control:
    - add missing build-depends to dh-translations

  [ Philip Muskovac ]
  * lp:~yofel/software-properties/lp-819793:
    - Fix for bug 819793 as disable_child_source() now need the template
      name as parameter, not the template itself )LP: #819793
  
  [ Robert Roth ]
  * Fix warnings logged to terminal about inexistent handlers by checking 
    if the handlers exist
  * Reset the popcon checkbox value if changed, but auth failed (LP: #874759)
  * Apt-add-repository --remove changed to also remove the debsrc
    line (LP: #838507)
  * Update the manpage of apt-add-repository with the available 
    options. (LP: #697546)
  * Reset the text on the mirror testing dialog after closing/canceling 
    it (LP: #875679)
  * Unicode encode PPA description and displaynam to avoid 
    UnicodeDecodeErrors (LP: #827355)
  * Do not expand the server combobox (LP: #875131)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 20 Oct 2011 13:46:08 +0200

software-properties (0.81.13) oneiric-proposed; urgency=low

  * lp:~kelemeng/software-properties/bug853231:
    - Build with dh_translations, to localize the .policy file at
      runtime. LP: #853231
    - Add missing files to POTFILES.in (LP: #853231)
      Many thanks to Gabor Kelemen 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 12 Oct 2011 10:22:19 +0200

software-properties (0.81.12) oneiric-proposed; urgency=low

  * lp:~kelemeng/software-properties/bug853231-upstream:
    - Add missing files to POTFILES.in (LP: #853231)
    Many thanks to Gabor Kelemen 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 12 Oct 2011 10:02:23 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
                scrollkeeper, 
                intltool, 
                python-all (>= 2.6.6-3~),
-               python-distutils-extra (>= 1.90)
+               python-distutils-extra (>= 1.90),
+               dh-translations
 Standards-Version: 3.9.1
 X-Python-Version: >= 2.4
 Vcs-Bzr: http://code.launchpad.net/~ubuntu-core-dev/software-properties/main
@@ -17,7 +18,7 @@
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}, python, python-apt (>=
  0.6.20ubuntu16), lsb-release, python-gnupginterface,
- unattended-upgrades, iso-codes
+ unattended-upgrades, iso-codes, python-pycurl
 Description: manage the repositories that you install software from
  This software provides an abstraction of the used apt repositories.
  It allows you to easily manage your distribution and independent software

## software-properties 0.81.13.5+5.5trisquel2

=== debian/changelog ===
software-properties (0.81.13.5+5.5trisquel2) brigantia; urgency=low

  * Adapted for Trisquel codenames

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 01 Dec 2012 00:04:12 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: software-properties
 Section: admin
 Priority: optional
-Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Build-Depends: debhelper (>= 7),
                libxml-parser-perl, 
                scrollkeeper,

## software-properties 0.82.7

=== debian/changelog ===
software-properties (0.82.7) precise; urgency=low

  * software-properties-dbus: Use GLib instead of the deprecated gobject.
    Update debian/control accordingly.
  * debian/control: Fix -gtk dependency: python-gobject → python-gi.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 13 Mar 2012 19:12:54 +0100

software-properties (0.82.6) precise; urgency=low

  [ Gabor Kelemen ]
  * data/gtkbuilder/main.ui:
    - fix missing "translatable" property (LP: #953918)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 13 Mar 2012 15:01:30 +0100

software-properties (0.82.5) precise; urgency=low

  * softwareproperties/gtk/SoftwarePropertiesGtk.py: Drop duplicate definition
    of on_treeview_sources_cursor_changed().
  * softwareproperties/gtk/SoftwarePropertiesGtk.py: Fix crash when closing
    the application with the window title bar button. (LP: #911834)
  * add-apt-repository: Intercept ValueError in addition to URLError, as this
    is the error thrown when trying to decode invalid JSON (which happens on
    404 pages etc.). (LP: #861258)
  * softwareproperties/SoftwareProperties.py, _find_source_from_string():
    Reload the sources list before searching, as it might have changed while
    the D-BUS backend was running. (LP: #854818, #820150)
  * softwareproperties/gtk/SoftwarePropertiesGtk.py: Add missing argument to
    menu popup() call. (LP: #815236)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 07 Mar 2012 10:14:52 +0100

software-properties (0.82.4) precise; urgency=low

  * Move KeysModified signal so add-apt-repository doesn't crash.
    (LP: #926152)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 03 Feb 2012 15:54:57 -0500

software-properties (0.82.3) precise; urgency=low

  [ Brian Murray ]
  * when adding new repositories use sourceslist.add instead of append thereby
    preventing duplicate entires.  Thanks to Nick Russo for the patch.
    LP: #854841

  [ Robert Roth ]
  * Updated expand properties to properly expand the bottom component to avoid
    putting empty space between components. LP: #912557
  * Added symbolic link for add-apt-repository manpage under the 
    apt-add-repository name, LP: #620098
  * Changed Revert button mnemonic to avoid collision with Remove, LP: #652523
  * Handle URLError from ppa pages, instruct the user to check the internet
    connection (LP: #502698)

  [ Marc Deslauriers ]
  * SECURITY UPDATE: incorrect ssl certificate validation (LP: #915210)
    - softwareproperties/ppa.py: use pycurl to download the signing key
      fingerprint.
    - tests/test_lp.py: add test.
    - debian/control: add python-pycurl dependency.
    - CVE-2011-4407
  * Wait for PPA GPG key to get imported before ending thread (LP: #888417)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 03 Feb 2012 08:16:22 -0500

software-properties (0.82.2) precise; urgency=low

  [ Michael Vogt ]
  * merged from debian-sid, thanks to Julian Andres Klode
  * add-apt-repository:
    - fail if the user tries to add a private PPA

  [ Sebastien Bacher ]
  * Stop listing software-properties in gnome-control-center since 
    it's available from software-center and update-manager
    (desktop-p-control-center-cleanup spec)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 11 Jan 2012 17:19:42 +0100

software-properties (0.82.1debian1) unstable; urgency=low

  * Merge with Ubuntu, remaining differences:
    - debian/control: Maintainer, VCS differences
    - debian/rules: Do not use dh-translations
    - softwareproperties/gtk/CdromProgress.py: Use apt.progress.base as needed
  * Fix more uses of the removed python-apt API

 -- Julian Andres Klode <jak@debian.org>  Mon, 21 Nov 2011 16:04:53 +0100

software-properties (0.82) precise; urgency=low

  [ Manish Sinha (मनीष सिन्हा) ]
  * lp:~manishsinha/software-properties/fix-887249-handle-404-error:
    - improve error handling for incorrect/misspelled PPAs (LP: #887249)
  * lp:~manishsinha/software-properties/list-ppa-names-for-user-or-team:
    - Made the change to alert the user that a user/team does not have any PPAs
  
  [ Robert Roth ]
  * lp:~evfool/software-properties/lintianfixes:
    - Fixed capitalization issue in control file
  * Fix warnings logged to terminal about inexistent handlers by checking 
    if the handlers exist
  * Change geeky authentication text displayed on policykit auth dialog to 
    the one suggested by mpt (LP: #828285)
  * Reset the popcon checkbox value if changed, but auth failed (LP: #874759)
  * Apt-add-repository --remove changed to also remove the debsrc
    line (LP: #838507)
  * Apt-add-repository PPA warning changed to warn you about add/removal
    depending on what you really want to do.
  * Update the manpage of apt-add-repository with the available 
    options. (LP: #697546)
  * Reset the text on the mirror testing dialog after closing/canceling 
    it (LP: #875679)
  * Unicode encode PPA description and displaynam to avoid 
    UnicodeDecodeErrors (LP: #827355)
  * Do not expand the server combobox (LP: #875131)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 21 Nov 2011 16:32:49 +0100

## software-properties 0.82.7-1linuxmint2

=== tests/Makefile ===
#!/usr/bin/make

all: check

check:
	set -e; \
	find . -name 'test_*.py' | \
	while read file; do \
	    if [ -x $$file ]; then \
		echo "Testing $$file $$PWD"; \
	    	python $$file; \
	    fi \
	done

=== debian/changelog ===
software-properties (0.82.7-1linuxmint2) maya; urgency=low

  * Hide extra tabs in KDE

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 05 Jul 2012 11:46:21 +0100

software-properties (0.82.7-1linuxmint1) maya; urgency=low

  * Maya

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 07 May 2012 11:44:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: software-properties
 Section: admin
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
 Build-Depends: debhelper (>= 7),
                libxml-parser-perl, 
                scrollkeeper, 
@@ -10,7 +10,6 @@
                python-distutils-extra (>= 1.90),
                dh-translations
 Standards-Version: 3.9.1
-X-Python-Version: >= 2.4
 Vcs-Bzr: http://code.launchpad.net/~ubuntu-core-dev/software-properties/main
 
 Package: python-software-properties
@@ -27,20 +26,20 @@
 Package: software-properties-common
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}, python,
- python-gobject (>= 2.28), python-dbus
+ python-gi, gir1.2-glib-2.0, python-dbus
 Description: manage the repositories that you install software from (common)
  This software provides an abstraction of the used apt repositories.
  It allows you to easily manage your distribution and independent software
  vendor software sources.
  .
  This package contains the common files for software-properties like the
- dbus backend.
+ D-Bus backend.
 
 Package: software-properties-gtk
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}, python,
  python-software-properties, 
- python-gobject (>= 2.28),
+ python-gi,
  gir1.2-gtk-3.0,
  python-aptdaemon.gtk3widgets,
  software-properties-common

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,translations

## software-properties 0.82.7.1debian1

=== debian/changelog ===
software-properties (0.82.7.1debian1) unstable; urgency=low

  * Merge with Ubuntu 12.04 ("precise") LTS

 -- Julian Andres Klode <jak@debian.org>  Sat, 16 Jun 2012 17:57:42 +0200

software-properties (0.82.7.1) precise-proposed; urgency=low

  * manually shift the policy index to work around wrong upgrade policy being
    set. (LP: #944876)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 25 Apr 2012 21:11:57 +0200

software-properties (0.82.4debian3) unstable; urgency=low

  * Fix the GPL-3 license statement to refer to GPL-3, not LGPL-3

 -- Julian Andres Klode <jak@debian.org>  Tue, 06 Mar 2012 14:32:19 +0100

software-properties (0.82.4debian2) unstable; urgency=low

  * Rewrite copyright file, use copyright-format 1.0

 -- Julian Andres Klode <jak@debian.org>  Tue, 06 Mar 2012 13:11:09 +0100

software-properties (0.82.4debian1) unstable; urgency=low

  * Upload 0.8X branch from experimental to unstable
  * Merge with Ubuntu, remaining differences:
    - debian/control: Maintainer, VCS differences
    - debian/rules: Do not use dh-translations
  * The following issues are fixed:
    - Now build against Python 2.7 (Closes: #644539)
    - Updated for latest GObject Introspection (Closes: #639611)
  * Change Standards-Version to 3.9.3, no further changes required

 -- Julian Andres Klode <jak@debian.org>  Tue, 06 Mar 2012 11:13:07 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: software-properties
 Section: admin
 Priority: optional
-Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
+Maintainer: Julian Andres Klode <jak@debian.org>
 Build-Depends: debhelper (>= 7),
                libxml-parser-perl, 
                scrollkeeper, 
                intltool, 
                python-all (>= 2.6.6-3~),
-               python-distutils-extra (>= 1.90),
-               dh-translations
-Standards-Version: 3.9.1
-Vcs-Bzr: http://code.launchpad.net/~ubuntu-core-dev/software-properties/main
+               python-distutils-extra (>= 1.90)
+Standards-Version: 3.9.3
+Vcs-Bzr: http://code.launchpad.net/~juliank/software-properties/debian
 
 Package: python-software-properties
 Section: python

## software-properties 0.82.7.3

=== debian/changelog ===
software-properties (0.82.7.3) precise-security; urgency=low

  * SECURITY UPDATE: improve gpg key validation to prevent MITM attack
    (LP: #1016643)
    - softwareproperties/ppa.py: download gpg key to temporary keyring, and
      validate using v4 fingerprint before importing to apt keyring.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 28 Sep 2012 09:17:57 -0400

software-properties (0.82.7.2) precise-proposed; urgency=low

  * Wrap all dbus calls under a try/except catch for unauthorized calls.
    Adding a small warning on the command line
    (original work by Edward Donovan) (LP: #828850)

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 18 Jul 2012 09:28:10 +0200

## software-properties 0.82.7.3+6.0trisquel3

=== debian/changelog ===
software-properties (0.82.7.3+6.0trisquel3) toutatis; urgency=low

  * Adapted for Trisquel codenames

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 08 Mar 2013 05:01:00 +0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: software-properties
 Section: admin
 Priority: optional
-Maintainer: Julian Andres Klode <jak@debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Build-Depends: debhelper (>= 7),
                libxml-parser-perl, 
                scrollkeeper, 
                intltool, 
                python-all (>= 2.6.6-3~),
-               python-distutils-extra (>= 1.90)
-Standards-Version: 3.9.3
-Vcs-Bzr: http://code.launchpad.net/~juliank/software-properties/debian
+               python-distutils-extra (>= 1.90),
+               dh-translations
+Standards-Version: 3.9.1
+Vcs-Bzr: http://code.launchpad.net/~ubuntu-core-dev/software-properties/main
 
 Package: python-software-properties
 Section: python

## software-properties 0.82.7.5

=== debian/changelog ===
software-properties (0.82.7.5) precise-security; urgency=low

  * SECURITY UPDATE: possible privilege escalation via policykit UID lookup
    race.
    - softwareproperties/dbus/SoftwarePropertiesDBus.py: pass
      system-bus-name as a subject instead of pid so policykit can get the
      information from the system bus.
    - CVE-2013-1061

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 13 Sep 2013 10:07:44 -0400

## software-properties 0.82.7.7

=== debian/changelog ===
software-properties (0.82.7.7) precise-proposed; urgency=low

  * Ensure package sources are refreshed after modification. Thanks to
    Bruno Nova for the patch. (LP: #1075537)

 -- Brian Murray <brian@ubuntu.com>  Fri, 06 Dec 2013 15:46:28 -0800

software-properties (0.82.7.6) precise-proposed; urgency=low

  * support adding cloud-archive repositories using syntax like
    cloud-archive:havana from add-apt-repository (LP: #1233486)

 -- Scott Moser <smoser@ubuntu.com>  Tue, 08 Oct 2013 13:33:57 -0400
